#cloud-config

package_update: true
package_upgrade: true

packages:
  - curl
  - qemu-guest-agent
  - vim
  - htop 
  - bash-completion

users:
- name: sbxadmin
  groups: sudo
  shell: /bin/bash
  sudo: ['ALL=(ALL) NOPASSWD:ALL']
  ssh_authorized_keys:
    - ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBzh23ZkSVNbmDKk9esAT9qNkOoYFLhpX2nSLKPJaDVZ petar.cubela@sbx-mac-lab.local

preserve_hostname: false
manage_etc_hosts: false
fqdn: ipa.lab.softbox.net
hostname: ipa
prefer_fqdn_over_hostname: true
create_hostname_file: true

runcmd:
  - systemctl start qemu-guest-agent
  - systemctl enable --now qemu-guest-agent
